summaryrefslogtreecommitdiffstats
path: root/source/l
diff options
context:
space:
mode:
Diffstat (limited to 'source/l')
-rwxr-xr-xsource/l/M2Crypto/M2Crypto.SlackBuild12
-rw-r--r--source/l/M2Crypto/M2Crypto.url1
-rw-r--r--source/l/M2Crypto/typing.url1
-rwxr-xr-xsource/l/cairo/cairo.SlackBuild6
-rwxr-xr-xsource/l/cairo/paredown.sh6
-rwxr-xr-xsource/l/pycairo/pycairo.SlackBuild2
-rwxr-xr-xsource/l/pycurl/pycurl.SlackBuild2
-rwxr-xr-xsource/l/pyparsing/pyparsing.SlackBuild6
-rw-r--r--source/l/pyparsing/pyparsing.url1
-rw-r--r--source/l/pyparsing/slack-desc2
10 files changed, 21 insertions, 18 deletions
diff --git a/source/l/M2Crypto/M2Crypto.SlackBuild b/source/l/M2Crypto/M2Crypto.SlackBuild
index ab134c786..dadb99276 100755
--- a/source/l/M2Crypto/M2Crypto.SlackBuild
+++ b/source/l/M2Crypto/M2Crypto.SlackBuild
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=M2Crypto
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-4}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -70,9 +70,9 @@ cp -a \
# Embed required dep typing module:
cd $TMP
-rm -rf typing-3.6.4
-tar xvf $CWD/typing-3.6.4.tar.xz || exit 1
-cd typing-3.6.4 || exit 1
+rm -rf typing-3.6.6
+tar xvf $CWD/typing-3.6.6.tar.xz || exit 1
+cd typing-3.6.6 || exit 1
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -80,10 +80,10 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
python setup.py install --root=$PKG || exit 1
-mkdir -p $PKG/usr/doc/typing-3.6.4
+mkdir -p $PKG/usr/doc/typing-3.6.6
cp -a \
CHANGES INSTALL* LICENCE* PKG-INFO README* doc/* \
- $PKG/usr/doc/typing-3.6.4
+ $PKG/usr/doc/typing-3.6.6
( cd $PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
diff --git a/source/l/M2Crypto/M2Crypto.url b/source/l/M2Crypto/M2Crypto.url
new file mode 100644
index 000000000..637707c23
--- /dev/null
+++ b/source/l/M2Crypto/M2Crypto.url
@@ -0,0 +1 @@
+http://pypi.python.org/pypi/M2Crypto/
diff --git a/source/l/M2Crypto/typing.url b/source/l/M2Crypto/typing.url
new file mode 100644
index 000000000..1c61f277a
--- /dev/null
+++ b/source/l/M2Crypto/typing.url
@@ -0,0 +1 @@
+http://pypi.python.org/pypi/typing/
diff --git a/source/l/cairo/cairo.SlackBuild b/source/l/cairo/cairo.SlackBuild
index 3af950e6e..ab9c8cefb 100755
--- a/source/l/cairo/cairo.SlackBuild
+++ b/source/l/cairo/cairo.SlackBuild
@@ -23,8 +23,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=cairo
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -67,7 +67,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf $PKGNAM-$VERSION
-tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
cd $PKGNAM-$VERSION || exit 1
chown -R root:root .
find . \
diff --git a/source/l/cairo/paredown.sh b/source/l/cairo/paredown.sh
index a24369747..241421483 100755
--- a/source/l/cairo/paredown.sh
+++ b/source/l/cairo/paredown.sh
@@ -41,11 +41,11 @@ touch -r $PKGNAM-$VERSION.tar.xz tmp-timestamp || exit 1
rm -rf $PKGNAM-$VERSION
tar xvf $PKGNAM-$VERSION.tar.xz || exit 1
rm -f $PKGNAM-$VERSION/test/reference/*
-rm -f $PKGNAM-$VERSION.tar.xz
+rm -f $PKGNAM-$VERSION.tar.?z
tar cvf $PKGNAM-$VERSION.tar $PKGNAM-$VERSION
touch -r tmp-timestamp $PKGNAM-$VERSION.tar
-xz -9 -v $PKGNAM-$VERSION.tar
+plzip -9 -v $PKGNAM-$VERSION.tar
rm -rf $PKGNAM-$VERSION tmp-timestamp
-echo "Repacking of $PKGNAM-$VERSION.tar.xz complete."
+echo "Repacking of $PKGNAM-$VERSION.tar.lz complete."
diff --git a/source/l/pycairo/pycairo.SlackBuild b/source/l/pycairo/pycairo.SlackBuild
index 137d16be5..10c6e6bf1 100755
--- a/source/l/pycairo/pycairo.SlackBuild
+++ b/source/l/pycairo/pycairo.SlackBuild
@@ -27,7 +27,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=pycairo
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
diff --git a/source/l/pycurl/pycurl.SlackBuild b/source/l/pycurl/pycurl.SlackBuild
index b0c220eb1..38911d9b7 100755
--- a/source/l/pycurl/pycurl.SlackBuild
+++ b/source/l/pycurl/pycurl.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=pycurl
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
diff --git a/source/l/pyparsing/pyparsing.SlackBuild b/source/l/pyparsing/pyparsing.SlackBuild
index 7e1f56731..841e793b5 100755
--- a/source/l/pyparsing/pyparsing.SlackBuild
+++ b/source/l/pyparsing/pyparsing.SlackBuild
@@ -28,8 +28,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=pyparsing
-VERSION=${VERSION:-$(echo pyparsing-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-$(echo pyparsing-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -54,7 +54,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf $PKGNAM-$VERSION
-tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
cd $PKGNAM-$VERSION || exit 1
chown -R root:root .
find -L . \
diff --git a/source/l/pyparsing/pyparsing.url b/source/l/pyparsing/pyparsing.url
new file mode 100644
index 000000000..cdd29d560
--- /dev/null
+++ b/source/l/pyparsing/pyparsing.url
@@ -0,0 +1 @@
+http://pypi.python.org/pypi/pyparsing/
diff --git a/source/l/pyparsing/slack-desc b/source/l/pyparsing/slack-desc
index 66a2a3804..dabff074e 100644
--- a/source/l/pyparsing/slack-desc
+++ b/source/l/pyparsing/slack-desc
@@ -14,6 +14,6 @@ pyparsing: the use of regular expressions. The pyparsing module provides a
pyparsing: library of classes that client code uses to construct the grammar
pyparsing: directly in Python code.
pyparsing:
-pyparsing: Homepage: http://pyparsing.wikispaces.com/
+pyparsing: Homepage: http://pypi.python.org/pypi/pyparsing/
pyparsing:
pyparsing: